| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
TIFFPredictorState Struct Reference

`#include <tif_predict.h>`

## Public Attributes
int | predictor
int | stride
tsize_t | rowsize
TIFFCodeMethod | encoderow
TIFFCodeMethod | encodestrip
TIFFCodeMethod | encodetile
TIFFPostMethod | encodepfunc
TIFFCodeMethod | decoderow
TIFFCodeMethod | decodestrip
TIFFCodeMethod | decodetile
TIFFPostMethod | decodepfunc
TIFFVGetMethod | vgetparent
TIFFVSetMethod | vsetparent
TIFFPrintMethod | printdir
TIFFBoolMethod | setupdecode
TIFFBoolMethod | setupencode

## Detailed Description

Definition at line 38 of file tif_predict.h.

## Member Data Documentation

TIFFPostMethod TIFFPredictorState::decodepfunc

Definition at line 51 of file tif_predict.h.

TIFFCodeMethod TIFFPredictorState::decoderow

Definition at line 48 of file tif_predict.h.

TIFFCodeMethod TIFFPredictorState::decodestrip

Definition at line 49 of file tif_predict.h.

TIFFCodeMethod TIFFPredictorState::decodetile

Definition at line 50 of file tif_predict.h.

TIFFPostMethod TIFFPredictorState::encodepfunc

Definition at line 46 of file tif_predict.h.

TIFFCodeMethod TIFFPredictorState::encoderow

Definition at line 43 of file tif_predict.h.

TIFFCodeMethod TIFFPredictorState::encodestrip

Definition at line 44 of file tif_predict.h.

TIFFCodeMethod TIFFPredictorState::encodetile

Definition at line 45 of file tif_predict.h.

int TIFFPredictorState::predictor

Definition at line 39 of file tif_predict.h.

TIFFPrintMethod TIFFPredictorState::printdir

Definition at line 55 of file tif_predict.h.

tsize_t TIFFPredictorState::rowsize

Definition at line 41 of file tif_predict.h.

TIFFBoolMethod TIFFPredictorState::setupdecode

Definition at line 56 of file tif_predict.h.

TIFFBoolMethod TIFFPredictorState::setupencode

Definition at line 57 of file tif_predict.h.

int TIFFPredictorState::stride

Definition at line 40 of file tif_predict.h.

TIFFVGetMethod TIFFPredictorState::vgetparent

Definition at line 53 of file tif_predict.h.

TIFFVSetMethod TIFFPredictorState::vsetparent

Definition at line 54 of file tif_predict.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/libtiff/tif_predict.h